package com.ym.mec.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@ApiModel(value = "student_member_time")
@Data
public class StudentMemberTime implements Serializable {

    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "用户编号")
    @TableField("student_id_")
    private Integer studentId;

    @ApiModelProperty(value = "会员编号")
    @TableField("member_rank_id_")
    private Integer memberRankId;

    @TableField("end_time_")
    @ApiModelProperty(value = "截止时间")
    private Date endTime;
}

