package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.entity.MemberRankCourseTypeMapper;

import java.util.List;

/**
 * 会员课程类型权限表
 * 2024-10-22 14:51:51
 */
public interface MemberRankCourseTypeMapperService extends IService<MemberRankCourseTypeMapper>  {

    void batchInsert(Integer memberRankSettingId, List<String> memberCourseTypeList);

    List<MemberRankCourseTypeMapper> getByMemberRankId(List<Integer> memberRankSettingId);

    void deleteByRankSettingId(Integer memberRankSettingId);
}