package com.ym.mec.biz.dal.dto;


import com.ym.mec.biz.dal.entity.StudentLessonExaminationDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 *
 * @author zx
 * @since 2023-04-03 18:20:36
 */
@Data
public class StudentLessonExaminationDto {

    @ApiModelProperty(value = "学员头像")
    private String avatar;

    @ApiModelProperty(value = "学员姓名")
    private String username;

    @ApiModelProperty(value = "最后评测时间")
    private Date trainingTime;

    @ApiModelProperty(value = "是否评测")
    private Boolean trainingFlag;

    @ApiModelProperty(value = "测评分数")
    private Integer trainingScore;

    @ApiModelProperty(value = "是否会员")
    private Boolean memberFlag;

    @ApiModelProperty(value = "学员编号")
    private Integer userId;

    @ApiModelProperty(value = "评测编号")
    private Long lessonExaminationId;

    @ApiModelProperty(value = "声部")
    private String subjectName;

    @ApiModelProperty("作业分组")
    private Integer group;


    @ApiModelProperty(value = "描述")
    private String memo;

    @ApiModelProperty("作业详情")
    private List<StudentLessonExaminationDetailDto> studentLessonExaminationDetailList;
}

